#include <Adafruit_NeoPixel.h>

Adafruit_NeoPixel leds(256, 2, NEO_GRB + NEO_KHZ800);

void setup() {
  leds.begin();           
  leds.show();            
  leds.setBrightness(10); 
}

void loop() {
  couleurspas(100); 
}

void couleurspas(int temps) { 
  int PremiereLedCouleur = 0;     
  for(int a=0; a<30; a++) {  
    for(int b=0; b<3; b++) { 
      leds.clear();         
      for(int c=b; c<256; c += 9) {
        int      teinte   = PremiereLedCouleur + c * 65536 / leds.numPixels();
        uint32_t couleur = leds.gamma32(leds.ColorHSV(teinte)); 
        leds.setPixelColor(c, couleur); 
      }
      leds.show();                
      delay(temps);                 
      PremiereLedCouleur += 65536 / 30; 
    }
  }
}


